Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Instalace libflac8  (Přečteno 2325 krát)

Ubuntu_user

  • Návštěvník
  • Příspěvků: 4
Instalace libflac8
« kdy: 26 Května 2023, 10:19:15 »
Ahoj,

Pokouším se nainstaloval HQPlayer 4 Desktop, ovšem při pokusu o instalaci přes terminál mně vyjede informace, že nelze nainstalovat libflac8.


Používám čerstvě nainstalované Ubuntu 23.04.

Je nějaká možnost, jak doinstalovat libflac8?

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1714
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Instalace libflac8
« Odpověď #1 kdy: 26 Května 2023, 10:33:18 »
Proč už zase neodladěnou nejnovější verzi?

Zkus instalovat pomocí Qapt nebo Gdebi, třeba si knihovnu někde najdou.

Mimochodem, kde jsi ten balíček vzal?

Na https://www.signalyst.com/consumer.html jasně uvádějí, že tamní balíčky jsou pro 22.04, ne pro 23.04.
« Poslední změna: 26 Května 2023, 10:38:26 od JirkaZ »

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 5991
Re:Instalace libflac8
« Odpověď #2 kdy: 26 Května 2023, 11:18:22 »
pro jistotu
Kód: [Vybrat]
sudo dpkg --configure -a
libflac8 je součástí balíku flac. Soustředil bych se na to.

https://packages.ubuntu.com/search?keywords=libflac8&searchon=names

Tady se dá stáhnout ručně zde:
https://packages.ubuntu.com/jammy-updates/libflac8
Ručně instalovat. Možná to nepůjde kvůli závislostem.

Elegance by spočívala v tom mít na něj repo v OS kvůli updatům. Ale jen pro tento 1 balík!

Ovšem nejsem v tomto zběhlý a simulovat to nemám kde.

Proč ten balík už není v 23.04 a dál nevím.
https://packages.ubuntu.com/search?suite=default&section=all&arch=any&keywords=flac&searchon=names

Potom se obrátit na vývojáře balíčků/aplikace, proč ten balík/aplikace už není nebo proč není ve flatpak/appimage/snapcraft. Ale když jej dáš vyhledat libflac8, tak to většinou něco napíše, i když v repu není. Co to píše?
« Poslední změna: 26 Května 2023, 11:33:41 od Roman Vacho »
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 5991
Re:Instalace libflac8
« Odpověď #3 kdy: 26 Května 2023, 11:35:14 »
pro jistotu
Kód: [Vybrat]
sudo dpkg --configure -a
libflac8 je součástí balíku flac. Soustředil bych se na to.

https://packages.ubuntu.com/search?keywords=libflac8&searchon=names

Tady se dá stáhnout ručně zde:
https://packages.ubuntu.com/jammy-updates/libflac8
Ručně instalovat. Možná to nepůjde kvůli závislostem.

Elegance by spočívala v tom mít na něj repo v OS kvůli updatům. Ale jen pro tento 1 balík!

Ovšem nejsem v tomto zběhlý a simulovat to nemám kde.

Proč ten balík už není v 23.04 a dál nevím.
https://packages.ubuntu.com/search?suite=default&section=all&arch=any&keywords=flac&searchon=names

Potom se obrátit na vývojáře balíčků/aplikace, proč ten balík/aplikace už není nebo proč není ve flatpak/appimage/snapcraft. Ale když jej dáš vyhledat libflac8, tak to většinou něco napíše, i když v repu není. Co to píše?

A právě kvůli takovým obskurním aplikacím je dobré používat LTS verzi. Koneckonců do ní stejně ty updaty přitečou, jen s rozumem. A Pipewire se dá nasadit také velmi lehce.
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 5991
Re:Instalace libflac8
« Odpověď #4 kdy: 26 Května 2023, 11:39:12 »
Proč už zase neodladěnou nejnovější verzi?
Nejspíš proto, že na .cz verzi stránek je první 23.04 a na .com je Ubuntu 22.04.2 LTS. :-)
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1714
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Instalace libflac8
« Odpověď #5 kdy: 26 Května 2023, 11:43:12 »
No tak pokud si vybírám dle toho, kde je co první, tak potěš koště.

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 5991
Re:Instalace libflac8
« Odpověď #6 kdy: 26 Května 2023, 11:48:11 »
A jsme doma.
Balík libflac8 je nahrazen libflac12. Což mu nejspíš někde říkal i balíčkovací systém.

https://packages.ubuntu.com/lunar/libflac-dev

V tom případě je to věc vývojářů aplikace HQPlayer 4.x a 5.

Anebo si zkusit udělat aplikaci pro snapcraft nebo flatpak nebo appimage. Samozřejmě v souladu s licencí vývojářů aplikace.
Nebo jim napsat, ať to udělaj oni.

Anebo používat U22.04.xx.
« Poslední změna: 26 Května 2023, 11:52:10 od Roman Vacho »
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

Ubuntu_user

  • Návštěvník
  • Příspěvků: 4
Instalace libflac8
« Odpověď #7 kdy: 28 Května 2023, 23:59:13 »
Nakonec jsem přešel zpět na Ubuntu verzi 22.10 a HQPlayer bez problému funguje.

Nejnovější, neodladěná verze 23.04, dělala problémy.

Vývojář HQPlayeru udává podporu pouze pro Ubuntu 22.04 LTS, dále pak pro 24.04.

Díky všem za rady.

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Instalace libflac8
« Odpověď #8 kdy: 29 Května 2023, 17:50:59 »
Stačí instalační balík (hqlayeru) editovat. V souboru DEBIAN/control (který obsahuje seznam závislostí) přepsat libflac8 --> libflac12
To je celé... ;)

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 5991
Re:Instalace libflac8
« Odpověď #9 kdy: 30 Května 2023, 10:46:51 »
Stačí instalační balík (hqlayeru) editovat. V souboru DEBIAN/control (který obsahuje seznam závislostí) přepsat libflac8 --> libflac12
To je celé... ;)
Takže lenost tvůrců?
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

 

Provoz zaštiťuje spolek OpenAlt.